KDE 4.9 PyKDE API Reference

- KDE's Python API

# Transition Class Reference

`from PyKDE4.kdecore import *`

Namespace: KTimeZone

## Detailed Description

## Methods

| __init__ (self)
| __init__ (self, QDateTime dt, KTimeZone.Phase phase)
| __init__ (self, KTimeZone.Transition t)
bool | operator < (self, KTimeZone.Transition rhs)
KTimeZone.Phase | phase (self)
QDateTime | time (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | QDateTime | dt,
|  | KTimeZone.Phase | phase
| ) |  |  |

__init__ | ( | self, |
|  | KTimeZone.Transition | t
| ) |  |  |

bool operator < | ( | self, |
|  | KTimeZone.Transition | rhs
| ) |  |  |

Compare the date/time values of two transitions.

Parameters:

  | rhs | other instance

Returns:
  true if this Transition is earlier than rhs

KTimeZone.Phase phase | ( |  | self ) |

Return the time zone phase which takes effect after the transition.

Returns:
  time zone phase

QDateTime time | ( |  | self ) |

Return the UTC time of the transition.

Returns:
  UTC time